API DocumentationManufacturer production step controller

Generate group traveller PDF

GET
/api/manufacturer/v1/production-step/{stepId}/traveller

Generates a traveller document PDF for the specified production step (group)

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

stepId*string

ID of the production step to generate traveller for

Formatuuid

Query Parameters

templateName?string

Name of the GROUP_LEVEL_TRAVELLER custom template to use (optional)

Response Body

PDF generated successfully

application/pdf
curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/production-step/497f6eca-6276-4993-bfeb-53cbbbba6f08/traveller'
Empty